Index: palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90
===================================================================
--- palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 4182)
+++ palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -71,5 +74,5 @@
     USE indices,                                                               &
         ONLY:  nbgp, ngp_sums_ls, nx, nxl, nxlg, nxlu, nxr, nxrg, ny, nys,     &
-               nysv, nysg, nyn, nyng, nzb, nz, nzt, wall_flags_0
+               nysv, nysg, nyn, nyng, nzb, nz, nzt, wall_flags_static_0
 
     USE kinds
@@ -799,5 +802,5 @@
                                     ( td_lsa_lpt(k,nt+1) - td_lsa_lpt(k,nt) ) *&
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -812,5 +815,5 @@
                                     ( td_lsa_q(k,nt+1) - td_lsa_q(k,nt) ) *    &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -833,5 +836,5 @@
                                      ( td_sub_lpt(k,nt+1) - td_sub_lpt(k,nt) )*&
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -846,5 +849,5 @@
                                        ( td_sub_q(k,nt+1) - td_sub_q(k,nt) ) * &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -899,5 +902,5 @@
                              + fac * ( td_lsa_lpt(k,nt+1) - td_lsa_lpt(k,nt) )*&
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
              ENDDO
 
@@ -908,5 +911,5 @@
                               + fac * ( td_lsa_q(k,nt+1) - td_lsa_q(k,nt) ) *  &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
              ENDDO
 
@@ -925,5 +928,5 @@
                                  ( td_sub_lpt(k,nt+1) - td_sub_lpt(k,nt) ) *   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                 ENDDO
   
@@ -934,5 +937,5 @@
                                  ( td_sub_q(k,nt+1) - td_sub_q(k,nt) ) *       &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                 ENDDO
 
@@ -1178,5 +1181,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 1 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 1 ) )
 
                       sums_ls_l(k,6) = sums_ls_l(k,6) + tmp_tend *             &
@@ -1201,5 +1204,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 2 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 2 ) )
 
                       sums_ls_l(k,7) = sums_ls_l(k,7) + tmp_tend *             &
@@ -1224,5 +1227,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                       sums_ls_l(k,4) = sums_ls_l(k,4) + tmp_tend *             &
@@ -1247,5 +1250,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                       sums_ls_l(k,5) = sums_ls_l(k,5) + tmp_tend *             &
@@ -1313,5 +1316,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 1 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 1 ) )
 
                 sums_ls_l(k,6) = sums_ls_l(k,6) + tmp_tend                     &
@@ -1330,5 +1333,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 2 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 2 ) )
 
                 sums_ls_l(k,7) = sums_ls_l(k,7) + tmp_tend                     &
@@ -1347,5 +1350,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 sums_ls_l(k,4) = sums_ls_l(k,4) + tmp_tend                     &
@@ -1365,5 +1368,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 sums_ls_l(k,5) = sums_ls_l(k,5) + tmp_tend                     &
